//
//  TestViewController.m
//  Tabbar+Navigation
//
//  Created by Justin on 17/5/5.
//  Copyright © 2017年 Justin. All rights reserved.
//

#import "TestViewController.h"
#import "testOneViewController.h"
#import "testTwoViewController.h"
#import "testThreeViewController.h"

@interface TestViewController ()<UITabBarControllerDelegate>

@end

@implementation TestViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
}

- (instancetype)init
{
    self = [super init];
    if (self) {
        self.tabBar.translucent = NO;
        self.delegate = self;
        [self showView];
        
    }
    return self;
}

- (void)showView {
    
    [self setViewControllers:@[[self test1],[self test2],[self test3]] animated:YES];
    
}

- (UINavigationController *)test1{
    
    testOneViewController *vc = [[testOneViewController alloc]init];
    
    UINavigationController *nav = [[UINavigationController alloc]initWithRootViewController:vc];
    UITabBarItem *item = [[UITabBarItem alloc] initWithTitle:@"test1" image:[UIImage imageNamed:@"test1"] tag:0];
    item.selectedImage = [[UIImage imageNamed:@"test"]  imageWithRenderingMode:UIImageRenderingModeAlwaysOriginal];
    
    vc.tabBarItem = item;
    
    return nav;

}

- (UINavigationController *)test2{
    
    testTwoViewController *vc = [[testTwoViewController alloc]init];
    
    UINavigationController *nav = [[UINavigationController alloc]initWithRootViewController:vc];
    UITabBarItem *item = [[UITabBarItem alloc] initWithTitle:@"test2" image:[UIImage imageNamed:@"test1"] tag:1];
    item.selectedImage = [[UIImage imageNamed:@"test"]  imageWithRenderingMode:UIImageRenderingModeAlwaysOriginal];
    
    vc.tabBarItem = item;
    
    return nav;
    
}

- (UINavigationController *)test3{
    
    testThreeViewController *vc = [[testThreeViewController alloc]init];
    
    UINavigationController *nav = [[UINavigationController alloc]initWithRootViewController:vc];
    UITabBarItem *item = [[UITabBarItem alloc] initWithTitle:@"test3" image:[UIImage imageNamed:@"test1"] tag:2];
    item.selectedImage = [[UIImage imageNamed:@"test"]  imageWithRenderingMode:UIImageRenderingModeAlwaysOriginal];
    
    vc.tabBarItem = item;
    
    return nav;
    
}

@end
